## python-ulmo 0.8.5+dfsg1

=== requirements.txt ===
appdirs
beautifulsoup4
future
geojson
isodate
lxml
numpy
pandas
tables
pytest
requests
suds-jurko
html5lib<=0.9999999

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/ulmo.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/ulmo.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/ulmo"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/ulmo"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

=== docs/requirements.txt ===
mock>=1.0.0
numpydoc>=0.4
python-dateutil
sphinx>=1.1.3

## python-ulmo 0.8.4+dfsg1

=== debian/changelog ===
python-ulmo (0.8.4+dfsg1-2) unstable; urgency=medium

  * [7150daa] Correct Vcs-* fields
  * [027b50b] Mark python-ulmo-doc as Multi-Arch: foreign
  * [d72b6f6] Add patch to fix FutureWarning

 -- Kurt Kremitzki <kurt@kwk.systems>  Sun, 19 Aug 2018 09:31:30 -0500

python-ulmo (0.8.4+dfsg1-1) unstable; urgency=medium

  * [a3fe8ee] Update d/tests/control to use correct Python module
  * [30c30a7] Add Files-Excluded to d/copyright to make package DFSG compliant
    (Closes: #905636)
  * [808c949] New upstream version 0.8.4+dfsg1
  * [aad9fbf] Update d/watch as part of DFSG repacking
  * [137e808] Update to Standards-Version 4.2.0; no change required

 -- Kurt Kremitzki <kurt@kwk.systems>  Tue, 07 Aug 2018 18:36:24 -0500

python-ulmo (0.8.4-1) unstable; urgency=medium

  * Initial release. (Closes: #894672)
  * Includes Python 2 version

 -- Kurt Kremitzki <kurt@kwk.systems>  Sun, 29 Jul 2018 04:31:08 -0500

=== debian/control ===
Source: python-ulmo
Section: python
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Kurt Kremitzki <kurt@kwk.systems>
Build-Depends: debhelper (>= 11),
               pandoc,
               dh-python,
               python-all,
               python-appdirs,
               python-bs4,
               python-doc,
               python-freezegun,
               python-future,
               python-geojson,
               python-html5lib,
               python-httpretty,
               python-isodate,
               python-lxml,
               python-mock,
               python-numpy,
               python-numpydoc,
               python-pandas,
               python-pytest,
               python-requests,
               python-setuptools,
               python-sphinx,
               python-suds,
               python-tables,
               python3-all,
               python3-appdirs,
               python3-bs4,
               python3-doc,
               python3-freezegun,
               python3-future,
               python3-geojson,
               python3-html5lib,
               python3-httpretty,
               python3-isodate,
               python3-lxml,
               python3-mock,
               python3-numpy,
               python3-numpydoc,
               python3-pandas,
               python3-pytest,
               python3-requests,
               python3-setuptools,
               python3-sphinx,
               python3-suds,
               python3-tables,
               sphinx-common
Standards-Version: 4.2.0
Homepage: https://github.com/ulmo-dev/ulmo
Vcs-Browser: https://salsa.debian.org/science-team/python-ulmo
Vcs-Git: https://salsa.debian.org/science-team/python-ulmo.git

Package: python-ulmo
Architecture: all
Depends: ${misc:Depends}, ${python:Depends},
         python-pandas,
         python-sympy
Suggests: python-ulmo-doc
Provides: ${python:Provides}
Description: Simple & fast Python access to public hydrology & climatology data
 Ulmo retrieves and parses datasets from the web, and returns simple Python
 data structures that can be easily pulled into more sophisticated tools such
 as pandas. It caches datasets locally and harvests updates as needed.
 .
 A variety of datasets and services are supported, including the USGS National
 Water Information System, USGS National Elevation Dataset services, USGS
 Earth Resources Observation Systems services, NASA Daymet weather data, and
 several more both available and planned.

Package: python3-ulmo
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends},
         python3-pandas,
         python3-sympy
Suggests: python-ulmo-doc
Provides: ${python3:Provides}
Description: Simple & fast Python 3 access to public hydrology & climatology data
 Ulmo retrieves and parses datasets from the web, and returns simple Python
 data structures that can be easily pulled into more sophisticated tools such
 as pandas. It caches datasets locally and harvests updates as needed.
 .
 A variety of datasets and services are supported, including the USGS National
 Water Information System, USGS National Elevation Dataset services, USGS
 Earth Resources Observation Systems services, NASA Daymet weather data, and
 several more both available and planned.
 .
 This package contains the Python 3 version of ulmo.

Package: python-ulmo-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: ${sphinxdoc:Depends}, ${misc:Depends}
Description: Simple & fast Python access to public hydrology & climatology data - docs
 Ulmo retrieves and parses datasets from the web, and returns simple Python
 data structures that can be easily pulled into more sophisticated tools such
 as pandas. It caches datasets locally and harvests updates as needed.
 .
 A variety of datasets and services are supported, including the USGS National
 Water Information System, USGS National Elevation Dataset services, USGS
 Earth Resources Observation Systems services, NASA Daymet weather data, and
 several more both available and planned.
 .
 This package contains the documentation for ulmo.

=== debian/rules ===
#!/usr/bin/make -f
# -*- mode: makefile; coding: utf-8 -*-

export PY3VER=$(shell py3versions -vd)
export HOME := $(CURDIR)/debian/HOME

export PYBUILD_NAME=ulmo
# Testing relies heavily on web access
export PYBUILD_DISABLE=test

%:
	dh $@ --with python2,python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_clean:
	dh_auto_clean
	$(MAKE) -C docs clean

override_dh_auto_build: export http_proxy=127.0.0.1:9
override_dh_auto_build: export https_proxy=127.0.0.1:9
override_dh_auto_build:
	mkdir -p $(HOME)
	dh_auto_build
	$(MAKE) -C docs clean html

override_dh_installdocs:
	dh_installdocs --doc-main-package=python-ulmo-doc -ppython-ulmo-doc
	dh_installdocs --doc-main-package=python-ulmo-doc -ppython-ulmo
	dh_installdocs --doc-main-package=python-ulmo-doc -ppython3-ulmo

override_dh_missing:
	dh_missing --fail-missing

=== debian/tests/control ===
Test-Command: set -e ; for py in $(pyversions -r 2>/dev/null) ; do cd "$AUTOPKGTEST_TMP" ; echo "Testing with $py:" ; $py -c "import ulmo; print ulmo" ; done
Depends: python-all, python-ulmo

Test-Command: set -e ; for py in $(py3versions -r 2>/dev/null) ; do cd "$AUTOPKGTEST_TMP" ; echo "Testing with $py:" ; $py -c "import ulmo; print(ulmo)" ; done
Depends: python3-all, python3-ulmo

## python-ulmo 0.8.5+dfsg1

=== debian/changelog ===
python-ulmo (0.8.5+dfsg1-1) unstable; urgency=medium

  * [5fc5643] Remove Python 2 package (Closes: #932654)
  * [f42a6e0] New upstream version 0.8.5+dfsg1
  * [1bd7ca2] Remove fix-pandas-futurewarning.patch, fixed upstream
  * [efb10d0] Update to Standards-Version 4.4.0 (no changes)
  * [5ff386d] Bump to debhelper compat 12

 -- Kurt Kremitzki <kurt@kwk.systems>  Tue, 23 Jul 2019 01:02:55 -0500

python-ulmo (0.8.4+dfsg1-3) unstable; urgency=medium

  * [4fa28cf] Update to Standards-Version 4.2.1; no change required

 -- Kurt Kremitzki <kurt@kwk.systems>  Wed, 10 Oct 2018 04:29:56 -0500

=== debian/control ===
--- 
+++ 
@@ -3,30 +3,9 @@
 Priority: optional
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Kurt Kremitzki <kurt@kwk.systems>
-Build-Depends: debhelper (>= 11),
+Build-Depends: debhelper (>= 12),
                pandoc,
                dh-python,
-               python-all,
-               python-appdirs,
-               python-bs4,
-               python-doc,
-               python-freezegun,
-               python-future,
-               python-geojson,
-               python-html5lib,
-               python-httpretty,
-               python-isodate,
-               python-lxml,
-               python-mock,
-               python-numpy,
-               python-numpydoc,
-               python-pandas,
-               python-pytest,
-               python-requests,
-               python-setuptools,
-               python-sphinx,
-               python-suds,
-               python-tables,
                python3-all,
                python3-appdirs,
                python3-bs4,
@@ -49,27 +28,10 @@
                python3-suds,
                python3-tables,
                sphinx-common
-Standards-Version: 4.2.0
+Standards-Version: 4.4.0
 Homepage: https://github.com/ulmo-dev/ulmo
 Vcs-Browser: https://salsa.debian.org/science-team/python-ulmo
 Vcs-Git: https://salsa.debian.org/science-team/python-ulmo.git
-
-Package: python-ulmo
-Architecture: all
-Depends: ${misc:Depends}, ${python:Depends},
-         python-pandas,
-         python-sympy
-Suggests: python-ulmo-doc
-Provides: ${python:Provides}
-Description: Simple & fast Python access to public hydrology & climatology data
- Ulmo retrieves and parses datasets from the web, and returns simple Python
- data structures that can be easily pulled into more sophisticated tools such
- as pandas. It caches datasets locally and harvests updates as needed.
- .
- A variety of datasets and services are supported, including the USGS National
- Water Information System, USGS National Elevation Dataset services, USGS
- Earth Resources Observation Systems services, NASA Daymet weather data, and
- several more both available and planned.
 
 Package: python3-ulmo
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -9,7 +9,7 @@
 export PYBUILD_DISABLE=test
 
 %:
-	dh $@ --with python2,python3,sphinxdoc --buildsystem=pybuild
+	dh $@ --with python3,sphinxdoc --buildsystem=pybuild
 
 override_dh_auto_clean:
 	dh_auto_clean
@@ -24,7 +24,6 @@
 
 override_dh_installdocs:
 	dh_installdocs --doc-main-package=python-ulmo-doc -ppython-ulmo-doc
-	dh_installdocs --doc-main-package=python-ulmo-doc -ppython-ulmo
 	dh_installdocs --doc-main-package=python-ulmo-doc -ppython3-ulmo
 
 override_dh_missing:

=== debian/tests/control ===
Test-Command: set -e ; for py in $(py3versions -r 2>/dev/null) ; do cd "$AUTOPKGTEST_TMP" ; echo "Testing with $py:" ; $py -c "import ulmo; print(ulmo)" ; done
Depends: python3-all, python3-ulmo

=== debian/watch ===
version=3
opts="dversionmangle=s/\+dfsg\d*$//,repacksuffix=+dfsg1,uversionmangle=s/rc/~rc/g,filenamemangle=s/.*\/(.*)/ulmo-$1/" \
 https://github.com/ulmo-dev/ulmo/tags .*archive/v([\d\.a-z]+)\.tar\.gz

## python-ulmo 0.8.8+dfsg1

=== requirements.txt ===
appdirs
beautifulsoup4
future
geojson
isodate
lxml
numpy
pandas
python-dateutil
requests
suds-jurko

=== debian/changelog ===
python-ulmo (0.8.8+dfsg1-8) unstable; urgency=medium

  * Team upload.
  * Remove usage of python3-mock

 -- Alexandre Detiste <tchet@debian.org>  Sat, 14 Dec 2024 21:51:57 +0100

python-ulmo (0.8.8+dfsg1-7) unstable; urgency=medium

  * Team upload.
  * Makr autopkgtest as needing internet.

 -- Alexandre Detiste <tchet@debian.org>  Wed, 02 Oct 2024 18:49:30 +0200

python-ulmo (0.8.8+dfsg1-6) unstable; urgency=medium

  * Team upload.
  * Replace python3-appdirs with python3-platformdirs 2/2

 -- Alexandre Detiste <tchet@debian.org>  Mon, 23 Sep 2024 22:46:48 +0200

python-ulmo (0.8.8+dfsg1-5) unstable; urgency=medium

  * Team upload.
  * Replace python3-appdirs with python3-platformdirs (Closes: #1068003)

 -- Alexandre Detiste <tchet@debian.org>  Sun, 22 Sep 2024 16:05:19 +0200

python-ulmo (0.8.8+dfsg1-4) unstable; urgency=medium

  * Team upload.
  * Add patch to replace StrictVersion from distutils to Version from
    packaging (Closes: #1074525).
  * d/control: Add python3-packaging as build dependency.
  * d/control: Bump Standards-Version to 4.7.0 (from 4.6.2; no further changes
    needed).

 -- Emmanuel Arias <eamanu@debian.org>  Sun, 07 Jul 2024 10:11:01 -0300

python-ulmo (0.8.8+dfsg1-3) unstable; urgency=medium

  * Team upload.

  [ Rebecca N. Palmer ]
  * Don't fail on malformed or changed test data
    Closes: #1044057

  [ Andreas Tille ]
  * Remove trailing whitespace in debian/changelog (routine-update)
  * Add upstream metadata
  * Run autopkgtest with all supported Python3 versions

 -- Andreas Tille <tille@debian.org>  Tue, 20 Feb 2024 10:45:54 +0100

python-ulmo (0.8.8+dfsg1-2) unstable; urgency=medium

  * Team upload.
  * Remove usage of python3-future, this module is not compatible with Py3.12
    (Thanks for the patch to  Alexandre Detiste)
    Closes: #1059098
  * Standards-Version: 4.6.2 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Remove trailing whitespace in debian/copyright (routine-update)
  * Build-Depends: s/dh-python/dh-sequence-python3/ (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * watch file standard 4 (routine-update)
  * Do not require an online connection in autopkgtest (Thanks for the patch
    to Lukas Märdian <slyon@ubuntu.com>)
    Closes: #1011225
  * Exclude two additional tests from autopkgtest (test_get_stations_as_dicts,
    test_get_stations_as_dataframe)

 -- Andreas Tille <tille@debian.org>  Sat, 06 Jan 2024 18:25:10 +0100

python-ulmo (0.8.8+dfsg1-1) unstable; urgency=medium

  * [37d3df1] Correct broken d/watch file
  * [ece673b] New upstream version 0.8.8+dfsg1
  * [a04be3c] Add python3-suds runtime dep (Closes: #1000818)
  * [48e159e] Use @debian.org address for my Uploaders d/control entry
  * [ca92d60] Run offline upstream tests as autopkgtest (Closes: #974476)
  * [ec94483] New upstream version 0.8.8+dfsg1
  * [465e0a7] Refresh fix-docs-path.patch

 -- Kurt Kremitzki <kkremitzki@debian.org>  Tue, 25 Jan 2022 17:07:58 -0600

=== debian/control ===
--- 
+++ 
@@ -2,25 +2,24 @@
 Section: python
 Priority: optional
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
-Uploaders: Kurt Kremitzki <kurt@kwk.systems>
-Build-Depends: debhelper (>= 12),
+Uploaders: Kurt Kremitzki <kkremitzki@debian.org>
+Build-Depends: debhelper-compat (= 13),
                pandoc,
-               dh-python,
+               dh-sequence-python3,
                python3-all,
-               python3-appdirs,
                python3-bs4,
                python3-doc,
                python3-freezegun,
-               python3-future,
                python3-geojson,
                python3-html5lib,
                python3-httpretty,
                python3-isodate,
                python3-lxml,
-               python3-mock,
                python3-numpy,
                python3-numpydoc,
+               python3-packaging,
                python3-pandas,
+               python3-platformdirs,
                python3-pytest,
                python3-requests,
                python3-setuptools,
@@ -28,8 +27,9 @@
                python3-suds,
                python3-tables,
                sphinx-common
-Standards-Version: 4.4.0
+Standards-Version: 4.7.0
 Homepage: https://github.com/ulmo-dev/ulmo
+Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/science-team/python-ulmo
 Vcs-Git: https://salsa.debian.org/science-team/python-ulmo.git
 
@@ -37,6 +37,7 @@
 Architecture: all
 Depends: ${misc:Depends}, ${python3:Depends},
          python3-pandas,
+         python3-suds,
          python3-sympy
 Suggests: python-ulmo-doc
 Provides: ${python3:Provides}

=== debian/tests/control ===
Tests: test-command.sh
Depends: @, python3-httpretty, python3-pytest, python3-all
Restrictions: needs-internet

=== debian/watch ===
version=4
opts="dversionmangle=s/\+dfsg\d*$//,repacksuffix=+dfsg1,uversionmangle=s/rc/~rc/g,filenamemangle=s/.*\/(.*)/ulmo-$1/" \
 https://github.com/ulmo-dev/ulmo/tags .*/refs/tags/v([\d\.a-z]+)\.tar\.gz
